---
- name: Create Xand node namespace
  community.kubernetes.k8s:
    state: present
    api_version: v1
    name: "{{ namespace }}"
    kind: Namespace
  environment:
    KUBECONFIG: "{{ remote_kubeconfig_path }}"
  when: ((dry_run is not defined) or (dry_run == false))

- name: Create Xand docker-registry secret
  community.kubernetes.k8s:
    state: present
    definition:
      apiVersion: v1
      kind: Secret
      metadata:
        name: regcred
        namespace: "{{ namespace }}"
      data:
        .dockerconfigjson: "{{ lookup('template', 'docker-registry-config.json.j2') | to_json |  b64encode }}"
      type: kubernetes.io/dockerconfigjson
  environment:
    KUBECONFIG: "{{ remote_kubeconfig_path }}"
  when: ((dry_run is not defined) or (dry_run == false))
